Bug 170869 - abiword-2.0.12-11 update breaks reading wordperfect documents
abiword-2.0.12-11 update breaks reading wordperfect documents
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-14 16:10 EDT by Matthew Miller
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.12-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-20 10:53:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2005-10-14 16:10:30 EDT
Description of problem:

Abiword was recently updated to 2.0.12-11 to fix a security problem and to fix
bug #170117 (where libwpd was updated without rebuilding abiword).

Well, this update *does* fix bug #170117, but only because it's not linked to
libwpd at all. That breaks importing wordperfect documents.

Oddly, "BuildRequires: libwpd-devel >= 0.7.1" *is* in the spec file. Looks like
the configure script in abiword-plugins has a broken test (it looks for
"libwpd-1" and finds that in the libwpd-devel-0.7.2 package just fine, but that
-1 has been dropped in the new libwpd version, so the library isn't found).



Version-Release number of selected component (if applicable)

 abiword-2.0.12-11 and libwpd-0.8.2-1.fc3

How reproducible:

 intrinsicly.

Steps to Reproduce:
1. try to build the package with libwpd-devel-0.8.2-1.fc3
2. try to open a wordperfect document
  
Actual results:

 failure -- because libwpd isn't linked


Expected results:

 well, given the situation, that's exactly what I *expect*. But what *should*
happen is the packaging should be fixed. :)

Additional info:

This is a really good argument for why backporting fixes is often less work than
updating to new versions, *especially* for libraries. Such updates shouldn't be
undertaken without testing all dependencies.
Comment 1 Caolan McNamara 2005-10-20 09:29:39 EDT
in progress
Comment 2 Fedora Update System 2005-10-20 10:31:17 EDT
From User-Agent: XML-RPC

abiword-2.0.12-12 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.